| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSourceSoftware Struct Reference
[Sound system]

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSourceSoftware:

[legend]
List of all members.

## Public Member Functions
virtual size_t | MergeIntoBuffer (csSoundSample *frame_buffer, size_t frame_count)=0
| Renderer convenience interface - requests the source to fill the supplied buffers.
virtual void | ProcessOutputFilters ()=0
| Renderer convenience interface - Called to provide processing of output filters.
| SCF_INTERFACE (iSndSysSourceSoftware, 2, 0, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

## Detailed Description

Todo:
  Document me!

Definition at line 82 of file ss_source.h.

## Member Function Documentation

virtual size_t iSndSysSourceSoftware::MergeIntoBuffer | ( | csSoundSample * | frame_buffer,
|  | size_t | frame_count |
| ) |  |  | `[pure virtual]`

Renderer convenience interface - requests the source to fill the supplied buffers.

Parameters:

  | frame_buffer | - A pointer to an array of csSoundSample sample buffers to be filled with sound sample data
  | frame_count | - The size of the buffer pointed to by frame_buffer in frames.

Returns:
  - The number of frames that were actually filled.

virtual void iSndSysSourceSoftware::ProcessOutputFilters | ( |  | ) | `[pure virtual]`

Renderer convenience interface - Called to provide processing of output filters.

iSndSysSourceSoftware::SCF_INTERFACE | ( | iSndSysSourceSoftware | ,
|  | 2 | ,
|  | 0 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h